package domain

type AlibabaWdkCouponTemplateQueryCouponTemplateOptionConfig struct {
	/*
	   抵用券是否可贬值使用     */
	Devalue *bool `json:"devalue,omitempty" `

	/*
	   优惠券logo url     */
	LogoUrl *string `json:"logo_url,omitempty" `

	/*
	   外部优惠券模板id     */
	OutCouponTemplateId *string `json:"out_coupon_template_id,omitempty" `

	/*
	   外部优惠券类型     */
	OutCouponType *string `json:"out_coupon_type,omitempty" `

	/*
	   券图片     */
	PictureUrl *string `json:"picture_url,omitempty" `

	/*
	   合同id     */
	ContractInstanceId *int64 `json:"contract_instance_id,omitempty" `

	/*
	   采买者id     */
	PurchaseId *int64 `json:"purchase_id,omitempty" `
}

func (s *AlibabaWdkCouponTemplateQueryCouponTemplateOptionConfig) SetDevalue(v bool) *AlibabaWdkCouponTemplateQueryCouponTemplateOptionConfig {
	s.Devalue = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateOptionConfig) SetLogoUrl(v string) *AlibabaWdkCouponTemplateQueryCouponTemplateOptionConfig {
	s.LogoUrl = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateOptionConfig) SetOutCouponTemplateId(v string) *AlibabaWdkCouponTemplateQueryCouponTemplateOptionConfig {
	s.OutCouponTemplateId = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateOptionConfig) SetOutCouponType(v string) *AlibabaWdkCouponTemplateQueryCouponTemplateOptionConfig {
	s.OutCouponType = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateOptionConfig) SetPictureUrl(v string) *AlibabaWdkCouponTemplateQueryCouponTemplateOptionConfig {
	s.PictureUrl = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateOptionConfig) SetContractInstanceId(v int64) *AlibabaWdkCouponTemplateQueryCouponTemplateOptionConfig {
	s.ContractInstanceId = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateOptionConfig) SetPurchaseId(v int64) *AlibabaWdkCouponTemplateQueryCouponTemplateOptionConfig {
	s.PurchaseId = &v
	return s
}
